using System;
using System.ComponentModel;

namespace GeoDashboard
{
    /// <summary>
    /// Object that implements <see cref="INotifyPropertyChanged"/>.
    /// </summary>
    public class BaseObject : INotifyPropertyChanged
    {
        public event PropertyChangedEventHandler PropertyChanged;
        protected virtual void OnPropertyChanged(string propName)
        {
            if (PropertyChanged != null)
                PropertyChanged(this, new PropertyChangedEventArgs(propName));
        }
    }
}
